Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003479Doomseeker[All Projects] Suggestionpublic2018-09-01 07:412018-09-21 13:10
ReporterZalewa 
Assigned ToZalewa 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.1 
Target Version1.2Fixed in Version1.2 
Summary0003479: --create-game arg
DescriptionDoomseeker launched with "--create-game" argument would immediately open the Create Game box, omitting the Main Window altogether. In such mode, closing the Create Game box should close Doomseeker.
Additional InformationCreate Game box will probably need a method to access Doomseeker's configuration to allow to configure ports and other file paths.
Attached Files

- Relationships
related to 0003483acknowledged Doomseeker 1.2 release 

-  Notes
User avatar (0019586)
Zalewa (developer)
2018-09-20 20:54
edited on: 2018-09-20 20:55

1. Main work:https://bitbucket.org/Doomseeker/doomseeker/commits/8630d050c60bc35020220c93131e212811944132 [^]
2. Touch-ups:https://bitbucket.org/Doomseeker/doomseeker/commits/e2ee8d665dbaa71c6b14d09305ce26bdd9d5358b [^]

As described in the ticket, Create Game box run from --create-game will display a "open configuration" button in the bottom-left corner. This button shouldn't appear in any other case.

User avatar (0019589)
WubTheCaptain (developer)
2018-09-21 13:10

I have to say I really hate working with multiple unrelated or hardly related commits squashed into one commit instead of merging multiple individual commits.

But this does what you wanted and seems to work at glance.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2018-09-01 07:41 Zalewa New Issue
2018-09-01 10:25 WubTheCaptain Status new => acknowledged
2018-09-10 05:30 Zalewa Relationship added related to 0003483
2018-09-20 17:31 Zalewa Assigned To => Zalewa
2018-09-20 17:31 Zalewa Status acknowledged => assigned
2018-09-20 20:54 Zalewa Note Added: 0019586
2018-09-20 20:54 Zalewa Status assigned => needs testing
2018-09-20 20:55 Zalewa Note Edited: 0019586 View Revisions
2018-09-21 12:59 WubTheCaptain Product Version => 1.1
2018-09-21 12:59 WubTheCaptain Target Version => 1.2
2018-09-21 13:10 WubTheCaptain Note Added: 0019589
2018-09-21 13:10 WubTheCaptain Status needs testing => resolved
2018-09-21 13:10 WubTheCaptain Fixed in Version => 1.2
2018-09-21 13:10 WubTheCaptain Resolution open => fixed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker